﻿Imports System.Console

Module Module1
    'Az euro árfolyama 2010 június 1-10-ig 
    '(forrás:http://www.oanda.com/currency/historical-rates)
    Dim euro() As Integer = {275, 276, 276, 278, 286, 290, 290, 287, 284, 282}

    Sub Main()
        AdatokKiírása()

        Aggregálás()
        Lekérdezés()
        Rendezés()
        Csoportosítás()

        ReadLine()
    End Sub
    Sub AdatokKiírása()
        Write("Az adatok: ")
        For Each x In euro
            Write(x & " ")
        Next
        WriteLine()
        WriteLine()
    End Sub

    Sub Aggregálás()
        WriteLine("Összesítő függvények")
        WriteLine("Az adatok száma= " & euro.Count)
        WriteLine("Az adatok összege= " & euro.Sum)
        WriteLine("Átlagos árfolyama= " & euro.Average)
        WriteLine("Legmagasabb árfolyam= " & euro.Max)
        WriteLine("Legalacsonyabb árfolyam= " & euro.Min)
        WriteLine("Első adat= " & euro.First)
        WriteLine("Utolsó adat= " & euro.Last)
        WriteLine()
    End Sub

    Sub Lekérdezés()

        Dim q = From x In euro Where x > 280 Select x

        Write("A 280 Ft feletti értékek = ")
        For Each x In q
            Write(x & " ")
        Next
        WriteLine()

        Write("A 280 Ft feletti értékek száma= ")
        WriteLine((From x In euro Where x > 280 Select x).Count)
        Write("A 280 Ft feletti értékek átlaga= ")
        WriteLine((From x In euro Where x > 280 Select x).Average)
        Write("Az első 280 Ft feletti érték= ")
        WriteLine((From x In euro Where x > 280 Select x).First)

        WriteLine()
    End Sub

    Sub Rendezés()
        Write("A 280 Ft fölötti árfolyamok növekvő sorban= ")
        Dim q = From x In euro Where x > 280 Order By x
        For Each x In q
            Write(x & " ")
        Next
        WriteLine()
        WriteLine()
    End Sub

    Sub Csoportosítás()
        WriteLine("Az adatok száma 10-es csoportokban:")
        Dim q = From x In euro Group x By kulcs = Int(x / 10) _
             Into Group Select sávhatár = 10 * kulcs, Group.Count
        For Each x In q
            WriteLine(x)
        Next
        WriteLine()

    End Sub

End Module
